View Issue Details

IDProjectCategoryView StatusLast Update
0004441FreeCADBugpublic2020-09-24 17:07
Reporterkeithsloan52 Assigned Towmayer  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004441: Changing Placement of a App::Part that contains a Part::FeaturePython causes drawing of a ghost object at original Placement
DescriptionChanging the placement of an App::Part that contains a Part::FeaturePython object causes a ghost drawing of the object at the original Placement as well as new Placement. See Link to Forum

Does not happen with FreeCAD 0.18

Steps To ReproduceTo reproduce install via the AddOnManger GDML workbench. Open the SampleFiles/GDML Solids/g4box.gdml
and rotate the Part that contains the GDML box
TagsNo tags attached.
FreeCAD InformationOS: macOS 10.15
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22366 (Git)
Build type: Release
Branch: master
Hash: 34c11fcc63efa2fc72cbc74c75c76e9f19d5c84c
Python version: 3.8.5
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.4.0
Locale: C/Default (C)

Related Changesets

FreeCAD: master 3c7ae4f3

2020-09-24 15:39:17

wmayer

Details Diff
0004441: Changing Placement of a App::Part that contains a Part::FeaturePython causes drawing of a ghost object at original Placement [skip ci] Affected Issues
0004441
mod - src/Gui/ViewProviderPythonFeature.h Diff File

Issue History

Date Modified Username Field Change
2020-09-19 14:42 keithsloan52 New Issue
2020-09-19 14:44 keithsloan52 Summary Changing Placement of a App::Part that contains a Part::FeaturePython causes drain of ghost => Changing Placement of a App::Part that contains a Part::FeaturePython causes drawing of a ghost object at original Placement
2020-09-19 14:44 keithsloan52 Description Updated View Revisions
2020-09-19 14:45 keithsloan52 FreeCAD Information <!--ATTENTION: COMPLETELY ERASE THIS AFTER PASTING YOUR Help > About FreeCAD > Copy to clipboard NOTE: just the snippet alone will do without anything else included. The ticket will not be submitted without it. -->OS: macOS 10.15 Word size of O... => OS: macOS 10.15 Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.22366 (Git) Build type: Release Branch: master Hash: 34c11fcc63efa2fc72cbc74c75c76e9f19d5c84c Python version: 3.8.5 Qt version: 5.12.9 Coin version: 4.0.0 OCC ...
2020-09-19 14:46 keithsloan52 Description Updated View Revisions
2020-09-19 14:46 keithsloan52 Description Updated View Revisions
2020-09-23 12:32 keithsloan52 Priority normal => low
2020-09-23 12:32 keithsloan52 Severity major => minor
2020-09-24 17:07 wmayer Changeset attached => FreeCAD master 3c7ae4f3
2020-09-24 17:07 wmayer Assigned To => wmayer
2020-09-24 17:07 wmayer Status new => closed
2020-09-24 17:07 wmayer Resolution open => fixed
2020-09-24 17:07 wmayer Fixed in Version => 0.19
2020-09-24 17:07 wmayer Note Added: 0014767